윈도우에서 php_ssh2 모듈을 써보자윈도우에서 php_ssh2 모듈을 써보자

Posted at 2017.07.17 14:34 | Posted in IT/윈도우서버

 아무래도 보안 때문에 sftp를 써야해서 php_ssh2 모듈을 설치했다. 설치하면서 생각보다 착오를 많이 겪어서 다음에 진행하기 용이하도록 이 글에 설치법을 남긴다. 설치를 진행했던 컴퓨터의 환경은 Windows Server 2012 R2 x64와 php5.5, IIS 8.5.9600.16384이다. 먼저 사용가능한 버전을 확인하면 아래와 같다.


php_ssh2 다운로드 주소 : https://pecl.php.net/package/ssh2


php_ssh2 버전 목록php_ssh2 버전 목록

php_ssh2 버전 상세 정보php_ssh2 버전 상세 정보


 php_ssh2 모듈은 이렇게 버전들이 있다. 대부분 리눅스에서 구동가능하며 그 중에 윈도우를 지원하는 버전은 0.12와 1.0, 1.1, 1.1.1이다. 0.12의 경우 php5.5를 지원하고 1.0부터는 php 7.0과 7.1을 지원한다. 즉 윈도우환경에서는 php_ssh2 모듈을 쓰고자 한다면 php 버전에 제약이 많다. 난 사실 검증되고 호환성이 높으며 그나마 php 5.5보다 성능도 나은 php5.6을 쓰고 있었는데 이 문제 때문에 php5.5로 내려왔다. 사용하고자 하는 환경에 맞춰서 적당한 버전을 다운 받고 나면 버전별로 설치는 다음과 같다.


php.ini 설정 수정php.ini 설정 수정

php.ini 파일을 열어서 아래의 코드를 추가한다.

extension=php_ssh2.dll


php_ssh2 0.12 버전 설치


  1. SSH2 PECL 모듈을 받는다.
  2. php_ssh2.dll과 php_ssh2.pdb를 php의 extension 폴더에 넣는다.
  3. libssh2.dll 파일을 32비트 윈도우라면 C:\Windows\system32 에 넣고 64비트 윈도우라면 C:\Windows\SysWOW64 에 넣는다.
  4. cmd 창을 열어 C:\> regsvr32 libssh2.dll를 입력한다.
  5. IIS 재시작

php_ssh2 1.0이상 버전 설치


  1. SSH2 PECL 모듈을 받는다.
  2. php_ssh2.dll과 php_ssh2.pdb를 php의 extension 폴더에 넣는다.
  3. IIS 재시작


저작자 표시 비영리 변경 금지
신고

'IT > 윈도우서버' 카테고리의 다른 글

윈도우에서 php_ssh2 모듈을 써보자  (2) 2017.07.17
  1. 잘생긴형
    이제 나도 서버를 쓸때가 왔군
    윈도우면 편할것같아서 ㅋㅋㅋ 호스팅업체도 지겹고
    검색에 검색을 하다보니

    이곳에 다다랐군 인연인가보오 HC군 ㅋㅋㅋㅋ

Name __

Password __

Link (Your Website)

Comment

SECRET | 비밀글로 남기기